package livio.rssreader.backend;
/*
Version 1.0, 16-08-2021, First release by Livio (javalc6@gmail.com)

IMPORTANT NOTICE, please read:

This software is licensed under the terms of the GNU GENERAL PUBLIC LICENSE,
please read the enclosed file license.txt or https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html

Note that this software is freeware and it is not designed, licensed or intended
for use in mission critical, life support and military purposes.

The use of this software is at the risk of the user.
*/
public final class FeedsDB {
    private static final FeedsDB singleton = new FeedsDB();

    public synchronized static FeedsDB getInstance() {
        return singleton;
    }

    public final static String [][] categories = {  //list of {name, icon, cat_id},
            {"Business", "ic_business.png", "b"}, {"Entertainment", "ic_entert.png", "e"}, {"Fashion", "ic_fashion.png", "f"},
            {"Lifestyle", "ic_lifestyle.png", "l"}, {"Music", "ic_music.png", "m"}, {"News", "ic_news.png", "n"}, {"Politics", "ic_politics.png", "p"},
            {"Science", "ic_science.png", "s"}, {"Sports", "ic_sports.png", "o"}, {"Technology", "ic_tech.png", "t"},
//		{"Test", "test.png", "z"},
    };

    public final static String[][][][] nativeFeeds = { //native feeds, list of list of {title, url, feed_id}, where feed_id = <category><_id>'.'<language>'
            {//de
                    {//b
                            {"Grüne Geschäfte", "http://blog.zeit.de/gruenegeschaefte/feed/", "b655.de"},
                            {"Mehr Geschäft!", "http://mehr-geschaeft.com/feed/", "b656.de"},
                            {"Verkaufen an Geschäftskunden - Vertrieb & Verkauf - Mit Stephan Heinrich", "http://salesupcall.libsyn.com/rss", "b657.de"},
                            {"Zur Geschäftsordnung", "http://zurgeschaeftsordnung.de/feed/", "b658.de"},
                    },
                    {//e
                            {"Ach komm, geh wech!", "http://anneschuessler.com/feed/", "e659.de"},
//                            {"ARD Radio Tatort", "http://web.ard.de/radiotatort/rss/podcast.xml", "e660.de"},
                            {"Bestatterweblog Peter Wilhelm", "http://bestatterweblog.de/feeds/index.rss2", "e661.de"},
                            {"Der Shopblogger", "http://www.shopblogger.de/blog/feeds/index.rss2", "e662.de"},
                            {"Graphitti-Blog", "http://www.graphitti-blog.de/feed/", "e663.de"},
                            {"heute-show", "https://www.zdf.de/rss/zdf/comedy/heute-show", "e664.de"},
                            {"Hornoxe.com", "http://www.hornoxe.com/feed/", "e665.de"},
                            {"ibash.de - Neueste Zitate", "http://www.ibash.de/neueste-zitate.xml", "e666.de"},
                            {"Musikexpress", "http://www.musikexpress.de/feed/", "e667.de"},
                            {"n-tv.de - Unterhaltung", "http://www.n-tv.de/leute/rss", "e668.de"},
                            {"NOTES OF BERLIN", "http://www.notesofberlin.com/feeds/posts/default", "e669.de"},
                            {"Novemberregen", "http://novemberregen.blogger.de/rss", "e670.de"},
                            {"Schlecky Silberstein", "http://www.schleckysilberstein.com/feed/", "e671.de"},
                            {"STERN.DE RSS-Feed Kultur - die neusten Meldungen zum Thema Kultur", "http://www.stern.de/feed/standard/kultur/", "e672.de"},
                            {"Titanic RSS - der endgültige Feed", "http://www.titanic-magazin.de/ich.war.bei.der.waffen.rss", "e673.de"},
                            {"Unterhaltung - Google News", "https://www.google.com/news?output=rss&topic=e&ned=de&cf=all&num=20", "e674.de"},
                            {"vongestern Blog", "http://www.vongestern.com/feeds/posts/default", "e675.de"},
                            {"WDR 2 Kabarett", "http://podcast.wdr.de/radio/wdr2kabarett.xml", "e676.de"},
                    },
                    {//f
                            {"Ari Stippa", "http://www.primerandlacquer.com/rss", "f677.de"},
//                            {"bekleidet – fashionblog / travelblog / interiorblog Germany", "http://bekleidet.net/feed/", "f678.de"},
                            {"BRIGITTE - Neueste Artikel", "http://www.brigitte.de/feed.rss", "f679.de"},
                            {"Dandy Diary", "http://dandydiary.de/feed/", "f680.de"},
                            {"Die Modeflüsterin", "http://feeds.feedburner.com/modefluesterin", "f681.de"},
                            {"Journelles", "http://www.journelles.de/feed/", "f682.de"},
                            {"Modepilot", "http://www.modepilot.de/feed/", "f683.de"},
                            {"Männer Style", "http://www.maenner-style.de/feed/", "f684.de"},
                            {"tea & twigs", "http://www.teaandtwigs.de/feed/", "f685.de"},
                    },
                    {//l
                            {"Vegan News das vegane Online-Magazin rund um pflanzlichen Lebensstil", "http://www.vegan-news.de/feed/", "l686.de"},
                    },
                    {//m
                            {"Blogrebellen", "http://blog.rebellen.info/feed/", "m688.de"},
                            {"Das Kraftfuttermischwerk", "http://www.kraftfuttermischwerk.de/blogg/?feed=rss2", "m689.de"},
                            {"Dressed Like Machines", "http://www.drlima.net/feed/", "m690.de"},
                            {"Groove", "http://www.groove.de/feed/atom/", "m691.de"},
                            {"Kultur - Literatur, Film, Kunst und Musik", "http://newsfeed.zeit.de/kultur/index", "m692.de"},
                            {"MC Winkels weBlog", "http://feeds.feedburner.com/mcwinkel", "m693.de"},
                            {"Metal Hammer", "http://www.metal-hammer.de/?widget=rssfeed&view=feed&contentId=96000", "m694.de"},
                            {"metal.de", "http://www.metal.de/RSS/metalNewsRSS.xml", "m695.de"},
                            {"Musikexpress", "http://www.musikexpress.de/feed/", "m696.de"},
                            {"News – laut.de – Täglich aktuelle Nachrichten aus der Musikwelt", "http://www.laut.de/partner/allgemein/news.rdf", "m697.de"},
                            {"NICOROLA", "http://www.nicorola.de/feed", "m698.de"},
//                            {"Spex Magazin", "http://www.spex.de/feed/", "m700.de"},
                            {"Tonspion.de RSS-Feed", "http://www.tonspion.de/rss/mp3.xml", "m701.de"},
                            {"VISIONS.de Newsfeed", "http://www.visions.de/feeds/news.rss", "m702.de"},
                    },
                    {//n
                            {"Aktuell - FAZ.NET", "http://www.faz.net/s/Rub/Tpl~Epartner~SRss_.xml", "n703.de"},
                            {"Alle Meldungen - SZ.de", "http://rss.sueddeutsche.de/app/service/rss/alles/index.rss?output=rss", "n704.de"},
                            {"BILDblog", "http://feeds.feedburner.com/Bildblog", "n705.de"},
                            {"Der Postillon", "http://www.der-postillon.com/feeds/posts/default", "n706.de"},
                            {"derStandard.at", "http://derstandard.at/?page=rss", "n707.de"},
                            {"DW.de - News", "http://partner.dw-world.de/syndication/feeds/RSS_deu_Feedly_News.10729-mrss.xml", "n708.de"},
                            {"Fefes Blog", "http://blog.fefe.de/rss.xml?html", "n709.de"},
                            {"FOCUS Online - News", "http://rss.focus.de/fol/XML/rss_folnews.xml", "n710.de"},
                            {"n-tv.de - Politik", "http://www.n-tv.de/23.rss", "n711.de"},
                            {"Nachrichten - WELT", "http://www.welt.de/?service=Rss", "n712.de"},
                            {"netzpolitik.org", "http://netzpolitik.org/feed/", "n713.de"},
                            {"NZZ News – Aktuelle Nachrichten - Neue Zürcher Zeitung", "http://www.nzz.ch/rss/index.xml", "n714.de"},
                            {"SPIEGEL ONLINE - Schlagzeilen", "http://www.spiegel.de/schlagzeilen/rss/0,5291,,00.xml", "n715.de"},
                            {"STERN.DE RSS-Feed - Der Tag im Überblick", "http://www.stern.de/feed/standard/all/", "n716.de"},
                            {"tagesschau.de - Die Nachrichten der ARD", "http://www.tagesschau.de/xml/rss2", "n717.de"},
                            {"taz.de - taz, die tageszeitung", "http://www.taz.de/rss.xml", "n718.de"},
                            {"Telepolis", "http://www.heise.de/tp/news-atom.xml", "n719.de"},
                            {"Wirtschaft - Neuigkeiten von der Börse und aus Unternehmen", "http://newsfeed.zeit.de/wirtschaft/index", "n720.de"},
                    },
                    {//p
                            {"Aktuell - FAZ.NET", "http://www.faz.net/s/Rub/Tpl~Epartner~SRss_.xml", "p723.de"},
                            {"Alternativlos", "http://alternativlos.org/alternativlos.rss", "p724.de"},
                            {"BILDblog", "http://feeds.feedburner.com/Bildblog", "p725.de"},
                            {"der Freitag", "http://www.freitag.de/rss", "p726.de"},
                            {"Fefes Blog", "http://blog.fefe.de/rss.xml?html", "p727.de"},
                            {"n-tv.de - Politik", "http://www.n-tv.de/23.rss", "p728.de"},
                            {"Nachrichten - WELT", "http://www.welt.de/?service=Rss", "p729.de"},
                            {"netzpolitik.org", "http://netzpolitik.org/feed/", "p730.de"},
                            {"Politik - aktuelle Nachrichten und Reportagen", "http://newsfeed.zeit.de/politik/index", "p731.de"},
                            {"Politik - FAZ.NET", "http://www.faz.net/aktuell/politik/?rssview=1", "p732.de"},
                            {"Politik - SZ.de", "http://rss.sueddeutsche.de/rss/Politik", "p733.de"},
                            {"Politik - WELT", "http://www.welt.de/politik/?service=Rss", "p734.de"},
                            {"SPIEGEL ONLINE - Politik", "http://www.spiegel.de/schlagzeilen/rss/0,5291,20,00.xml", "p735.de"},
                            {"SPRENGSATZ _Das Politik-Blog aus Berlin", "http://www.sprengsatz.de/?feed=rss2", "p736.de"},
                            {"taz.de - taz, die tageszeitung", "http://www.taz.de/rss.xml", "p737.de"},
                            {"Telepolis", "http://www.heise.de/tp/news-atom.xml", "p738.de"},
                    },
                    {//s
                            {"Astrodicticum Simplex", "http://scienceblogs.de/astrodicticum-simplex/feed/", "s739.de"},
                            {"astronews.com", "http://www.astronews.com/_rss/rss091.xml", "s740.de"},
                            {"Deutsches Ärzteblatt - Aktuelles", "http://www.aerzteblatt.de/v4/news/rss.asp", "s741.de"},
                            {"Digitalistan", "http://wdrblog.de/raumfahrt/atom.xml", "s742.de"},
                            {"Quarks", "http://podcast.wdr.de/quarks.xml", "s743.de"},
                            {"ScienceBlogs auf Deutsch", "http://scienceblogs.de/feed/", "s744.de"},
                            {"Scienceticker – tagesaktuelle Nachrichten aus Wissenschaft und Technik", "http://www.scienceticker.info/feed/", "s745.de"},
                            {"SciLogs", "http://www.scilogs.de/wblogs/feed/rss.php", "s746.de"},
                            {"scinexx | Das Wissensmagazin", "http://feeds.feedburner.com/scinexx", "s747.de"},
                            {"Spektrum.de RSS-Feed", "http://www.spektrum.de/alias/rss/spektrum-de-rss-feed/996406", "s748.de"},
                            {"SPIEGEL ONLINE - Wissenschaft", "http://www.spiegel.de/schlagzeilen/rss/0,5291,24,00.xml", "s749.de"},
                            {"Technology Review", "http://www.heise.de/tr/news-atom.xml", "s750.de"},
                            {"Wissen & Technik - Google News", "https://www.google.com/news?output=rss&topic=t&ned=de&cf=all&num=20", "s751.de"},
                            {"Wissen - FAZ.NET", "http://www.faz.net/aktuell/wissen/?rssview=1", "s752.de"},
                            {"Wissen - SZ.de", "http://www.sueddeutsche.de/app/service/rss/ressort/wissen/rss.xml", "s753.de"},
                            {"Wissen - Wissenschaft und Forschung", "http://newsfeed.zeit.de/wissen/index", "s754.de"},
                            {"Wissenschaft - WELT", "http://www.welt.de/wissenschaft/?service=Rss", "s755.de"},
                            {"Wissenschaft im Brennpunkt - Deutschlandfunk", "http://www.dradio.de/rss/podcast/sendungen/wib/", "s756.de"},
                    },
                    {//o
                            {"11FREUNDE-Aktuell", "http://www.11freunde.de/feed", "o759.de"},
//                            {"Aktiv Radfahren", "http://www.aktiv-radfahren.de/news/news.xml", "o760.de"},
                            {"Alpin.De", "http://rss.alpin.de/news/aktuell", "o761.de"},
                            {"Das Magazin für Bergsteiger", "http://www.br.de/fernsehen/bayerisches-fernsehen/sendungen/bergauf-bergab/bergauf-bergab110~rss.xml", "o763.de"},
                            {"Der Westen", "http://www.derwesten.de/rss", "o764.de"},
                            {"kicker: alle Sportnews", "http://photodb.kicker.de/library/rss091/kicker.xml", "o765.de"},
                            {"kicker: Bundesliga News", "http://rss.kicker.de/news/bundesliga", "o766.de"},
                            {"kicker: Fußball News", "http://rss.kicker.de/news/fussball", "o767.de"},
                            {"SPIEGEL ONLINE - Sport", "http://www.spiegel.de/schlagzeilen/rss/0,5291,19,00.xml", "o768.de"},
                            {"Sport - Google News", "https://www.google.com/news?output=rss&topic=s&ned=de&cf=all&num=20", "o769.de"},
                            {"SPORT1", "http://www.sport1.de/de_1/startseite/rss.xml", "o770.de"},
                            {"SPOX.com - Sport", "http://www.spox.com/pub/rss/sport.xml", "o771.de"},
                    },
                    {//t
                            {"Alles rund um Technik: News, Tests, Deals und mehr", "https://www.nextpit.de/feed/main.xml", "t772.de"},
                            {"BASIC thinking", "http://www.basicthinking.de/blog/feed/", "t773.de"},
                            {"Caschys Blog", "http://stadt-bremerhaven.de/feed/", "t774.de"},
                            {"ComputerBase", "http://www.computerbase.de/rss/news.xml", "t775.de"},
                            {"Golem.de", "http://www.golem.de/rss.php?feed=RSS1.0", "t776.de"},
                            {"heise online News", "http://www.heise.de/newsticker/heise.rdf", "t777.de"},
                            {"netzpolitik.org", "http://netzpolitik.org/feed/", "t778.de"},
                            {"SPIEGEL ONLINE - Netzwelt", "http://www.spiegel.de/schlagzeilen/rss/0,5291,23,00.xml", "t779.de"},
                            {"t3n – digital pioneers", "http://t3n.de/news/feed/", "t780.de"},
                    },
            },
            {//ru
                    {//b
                            {"Главные темы дня", "http://www.forbes.ru/newrss.xml", "b781.ru"},
                            {"kraynov.com", "http://feeds.feedburner.com/MaxKraynov", "b782.ru"},
                            {"RT на русском", "http://russian.rt.com/rss/", "b783.ru"},
                            {"SPARK: Блоги", "http://spark.ru/rss", "b784.ru"},
                            {"свежее", "http://feeds.feedburner.com/siliconrus", "b785.ru"},
                            {"Бизнес - Google News", "https://www.google.com/news?output=rss&topic=b&ned=ru_ru&cf=all&num=20", "b786.ru"},
                            {"БИЗНЕС В УМНЫХ ТОНАХ", "http://eduardk.livejournal.com/data/rss", "b787.ru"},
                            {"Бизнес-линч", "http://www.artlebedev.ru/kovodstvo/business-lynch/business-lynch.rdf", "b788.ru"},
                            {"Журнал о бизнесе «Секрет фирмы»", "http://secretmag.ru/rss/rambler.xml", "b789.ru"},
                            {"Идеономика – Умные о главном", "http://ideanomics.ru/?feed=rss2", "b790.ru"},
                            {"Полезное чтение", "http://bigplans.megaplan.ru/feed", "b791.ru"},
                            {"Радислав Гандапас", "http://feeds.feedburner.com/RadislavGandapas", "b792.ru"},
                            {"РБК - Все материалы", "http://static.feed.rbc.ru/rbc/internal/rss.rbc.ru/rbc.ru/news.rss", "b793.ru"},
                            {"РБК - Главные новости", "http://static.feed.rbc.ru/rbc/internal/rss.rbc.ru/rbc.ru/mainnews.rss", "b794.ru"},
                            {"Т—Ж", "http://journal.tinkoff.ru/feed/", "b795.ru"},
                    },
                    {//e
                            {"BEZDNA.SU", "http://bezdna.su/rss.php", "e796.ru"},
                            {"Сайт хорошего настроения", "http://fishki.net/rss.xml", "e797.ru"},
                            {"Лучшее из Рунета за день", "http://feeds.feedburner.com/fresherfeed", "e798.ru"},
                            {"JoyReactor.cc", "http://feeds2.feedburner.com/joyreactor", "e799.ru"},
                            {"MAXIMonline.ru", "http://www.maximonline.ru/main.rss", "e800.ru"},
                            {"UROD.RU", "http://urod.ru/xml/rss.xml", "e801.ru"},
                            {"Анекдотов.net Лучшие анекдоты", "http://anekdotov.net/export/randomanekdots.rss", "e802.ru"},
                            {"Анекдоты из России - Anekdot.ru", "http://www.anekdot.ru/rss/export20.xml", "e803.ru"},
                            {"Воффка Дот Ком", "http://voffka.com/index.rdf", "e804.ru"},
                            {"Десятка новых историй. Анекдоты из России.", "http://www.anekdot.ru/rss/export_o.xml", "e805.ru"},
//                            {"Задолба!ли", "http://zadolba.li/rss/", "e806.ru"},
                            {"Музей фактов", "http://muzey-factov.ru/rss/", "e807.ru"},
                            {"Новые демотиваторы", "http://demotivators.ru/feeds/recent/", "e808.ru"},
                            {"Самый сок!", "http://ibigdan.livejournal.com/data/rss", "e809.ru"},
                            {"СВАЛКА!", "http://dump.iof.ru/rss.php", "e810.ru"},
                            {"Триникси", "http://trinixy.ru/rss.xml", "e811.ru"},
                            {"ЯПлакалъ - развлекательное сообщество", "http://www.yaplakal.com/news.xml", "e812.ru"},
                    },
                    {//f
//                            {"ELLE.ru", "http://www.elle.ru/rss/elle_ru/rss.xml", "f813.ru"},
                            {"Fashion ::: Victims", "http://community.livejournal.com/ru_glamour/data/rss", "f814.ru"},
                            {"Fresh - Свежий взгляд на стиль", "http://freshjournal-ru.livejournal.com/data/rss", "f815.ru"},
                            {"La Vita Mia", "http://www.lavitamia.ru/feeds/posts/default", "f816.ru"},
                            {"ВТОРАЯ УЛИЦА", "http://secondstreet.ru/rss/index/", "f817.ru"},
                            {"Женский журнал Woman.ru: звезды, мода, красота, любовь, секс, гороскопы, психоло", "http://www.woman.ru/rss/", "f818.ru"},
                            {"Красота, вдохновленная природой", "http://color-harmony.livejournal.com/data/rss", "f819.ru"},
                            {"Мода - COSMO.RU", "http://feeds2.feedburner.com/cosmo/fashion", "f820.ru"},
                            {"Мода проходит, стиль остается? Таки да!", "http://irenabar.livejournal.com/data/rss", "f821.ru"},
                            {"Мода-блог", "http://moda-blog.ru/feed/", "f822.ru"},
                            {"Мода: тренды 2018, одежда, обувь и аксессуары, модные тенденции", "http://www.woman.ru/fashion/rss/", "f823.ru"},
                            {"Новости Vogue.ru", "http://feeds.feedburner.com/vogueru", "f824.ru"},
                            {"покажи свой сегодняшний наряд", "http://your-look-today.livejournal.com/data/rss", "f825.ru"},
                            {"РБК Стиль - Главные новости", "http://static.feed.rbc.ru/rbc/internal/rss.rbc.ru/style.rbc.ru/mainnews.rss", "f826.ru"},
                            {"Создай свой стиль", "http://make-your-style.livejournal.com/data/rss", "f827.ru"},
                            {"Стиль - Не Вода.", "http://natasha-laurel.livejournal.com/data/rss", "f828.ru"},
                            {"Стильные заметки, блог о стиле и моде", "http://upryamka.livejournal.com/data/rss", "f829.ru"},
                            {"ШмотоМодо.Ру — мода, шмотки, тенденции", "http://shmotomodo.ru/feed", "f830.ru"},
                    },
                    {//l
                            {"Novate.Ru | Идеи для жизни", "http://www.novate.ru/rss/", "l832.ru"},
                            {"Анамнез  жизни доктора", "http://dok-zlo.livejournal.com/data/rss", "l833.ru"},
                            {"Блог о здоровом  образе жизни", "http://zdoro.ru/feed", "l834.ru"},
                            {"блог о транспорте и жизни", "http://proboknet.livejournal.com/data/rss", "l835.ru"},
                            {"Каббала, наука и смысл жизни", "http://feeds.feedburner.com/laitman-ru", "l836.ru"},
                            {"Качество жизни определяется количеством мгновений, которые нам бы хотелось остан", "http://bezlepkina.livejournal.com/data/rss", "l837.ru"},
                            {"КИНО И ОБРАЗ", "http://la-gatta-ciara.livejournal.com/data/rss", "l838.ru"},
                            {"Минимализм как стиль жизни", "http://minlife.ru/feed/", "l839.ru"},
                            {"На празднике жизни", "http://6ruk.livejournal.com/data/rss", "l840.ru"},
                            {"О ЖИЗНИ КАК ЕСТЬ • LIFE AS IT IS", "http://atsman.livejournal.com/data/rss", "l841.ru"},
                            {"О новостях и о жизни", "http://stbcaptain.livejournal.com/data/rss", "l842.ru"},
                            {"Похождения по жизни", "http://puerrtto.livejournal.com/data/rss", "l843.ru"},
                            {"Предметы советской жизни", "http://soviet-life.livejournal.com/data/rss", "l844.ru"},
                            {"С интернетом по жизни", "http://stomaster.livejournal.com/data/rss", "l845.ru"},
                            {"Сосновский.ру — оптимизатор по жизни", "http://feeds.feedburner.com/sosnovskij", "l846.ru"},
                            {"Хитрости жизни", "http://justcoolidea.ru/feed/", "l847.ru"},
                            {"ЧЕСТНЫЕ ИСТОРИИ О МУЖЧИНАХ И ЖИЗНИ", "http://cosharel.livejournal.com/data/rss", "l848.ru"},
                    },
                    {//m
                            {"Все новости", "http://feeds.newsru.com/com/www/news/all", "m849.ru"},
                            {"Old Ship Bar", "http://feeds.feedburner.com/OldShipBarReviews", "m850.ru"},
                            {"Passion.ru", "http://www.passion.ru/rss.xml", "m851.ru"},
                            {"Новости", "http://www.rap.ru/rss/news", "m852.ru"},
                            {"скачать игры фильмы софт программы видео portable обои книги музыка", "http://ru-admin.net/rss.xml", "m853.ru"},
                            {"sad wave", "http://sadwave.com/feed/", "m854.ru"},
                            {"Wish You Were Rare", "http://wishyouwererare.livejournal.com/data/rss", "m855.ru"},
                            {"Аквариум", "http://community.livejournal.com/ru_aquarium/data/rss", "m856.ru"},
                            {"Музыкальные новости", "http://www.zvuki.ru/rss/headings.rss", "m857.ru"},
                            {"Лучшая и редкая музыка скачать в хорошем качестве - Batzbatz.ru", "http://batzbatz.com/rss.xml", "m858.ru"},
                            {"Музыка :: FunkySouls", "http://funkysouls.com/news/rss.pl?cat=2", "m859.ru"},
                            {"Музыка, Фильмы, Программы :: FunkySouls", "http://funkysouls.com/news/rss.pl", "m860.ru"},
                            {"Музыкальное Оборудование", "http://www.moinf.info/rss.xml", "m861.ru"},
                            {"Музыкальные новости : DARKSIDE.ru", "http://www.darkside.ru/rss/", "m862.ru"},
                            {"Погружение в классику", "http://intoclassics.net/news/rss/", "m863.ru"},
                            {"Полный Джаз 2.0", "http://jazzru.wordpress.com/feed/", "m864.ru"},
                            {"сайт хорошей музыки", "https://xorosho.com/rss.xml", "m865.ru"},
                    },
                    {//n
                            {"новости", "http://www.ixbt.com/export/hardnews.rss", "n866.ru"},
                            {"статьи", "http://www.ixbt.com/export/articles.rss", "n867.ru"},
                            {"Новости", "http://lenta.ru/rss/", "n868.ru"},
                            {"Meduza.io", "https://meduza.io/feed/all", "n869.ru"},
                            {"все новости и статьи", "http://tjournal.ru/rss", "n870.ru"},
                            {"свежее", "http://feeds.feedburner.com/siliconrus", "n871.ru"},
                            {"ВЕСТИ", "http://www.vesti.ru/vesti.rss", "n872.ru"},
                            {"Все материалы Republic", "http://slon.ru/rss/all.php", "n873.ru"},
                            {"Газета.Ru - Первая полоса", "http://www.gazeta.ru/export/rss/first.xml", "n874.ru"},
                            {"ИноСМИ - Все, что достойно перевода", "http://www.inosmi.ru/misc/export/xml/rss/translation.xml", "n875.ru"},
                            {"Лайфхакер", "http://lifehacker.ru/feed/", "n876.ru"},
                            {"Наука и техника - Google News", "https://www.google.com/news?output=rss&topic=t&ned=ru_ru&cf=all&num=20", "n877.ru"},
                            {"Новости", "http://www.nkj.ru/rss/iblock_rss_31.xml", "n878.ru"},
                            {"Новости IT-индустрии | THG.RU", "http://www.thg.ru/technews/news_rss.xml", "n879.ru"},
                            {"НОВОСТИ, КОТОРЫЕ МЫ ЗАСЛУЖИЛИ", "http://feeds.feedburner.com/bigpictures", "n880.ru"},
                            {"РБК - Все материалы", "http://static.feed.rbc.ru/rbc/internal/rss.rbc.ru/rbc.ru/news.rss", "n881.ru"},
                            {"РБК - Главные новости", "http://static.feed.rbc.ru/rbc/internal/rss.rbc.ru/rbc.ru/mainnews.rss", "n882.ru"},
                    },
                    {//p
                            {"Colonel Cassad", "http://colonelcassad.livejournal.com/data/rss", "p883.ru"},
                            {"Inopressa", "http://www.inopressa.ru/rss/", "p884.ru"},
                            {"RT на русском", "http://russian.rt.com/rss/", "p885.ru"},
                            {"Алексей Навальный", "http://navalny.com/blog/post.rss", "p886.ru"},
                            {"Анатолий Вассерман", "http://awas1952.livejournal.com/data/rss", "p887.ru"},
                            {"Андрей Илларионов", "http://aillarionov.livejournal.com/data/rss", "p888.ru"},
                            {"Взгляд", "http://www.vz.ru/rss.xml", "p889.ru"},
                            {"Военное обозрение", "http://topwar.ru/rss.xml", "p890.ru"},
                            {"Делай, что должен, и будь, что будет", "http://kungurov.livejournal.com/data/rss", "p891.ru"},
                            {"Дорога без конца", "http://putnik1.livejournal.com/data/rss", "p892.ru"},
                            {"Ежедневный Журнал", "http://www.ej.ru/xml", "p893.ru"},
                            {"Если ты ненавидишь — значит тебя победили ©", "http://yurasumy.livejournal.com/data/rss", "p894.ru"},
                            {"Записки мизантропа", "http://avmalgin.livejournal.com/data/rss", "p895.ru"},
//                            {"КОНТ. Геополитическая блог-платформа", "http://continentalist.ru/feed/", "p896.ru"},
                            {"Место для дискуссий", "http://fritzmorgen.livejournal.com/data/rss", "p897.ru"},
                            {"Эль Мюрид", "http://el-murid.livejournal.com/data/rss", "p898.ru"},
                    },
                    {//s
                            {"\"Элементы\": новости науки", "http://elementy.ru/rss/news", "s900.ru"},
                            {"Antropogenez.ru: Портал об эволюции человека", "http://antropogenez.ru/rss/", "s901.ru"},
                            {"DailyTechInfo - Новости науки и технологий, новинки техники.", "http://www.dailytechinfo.org/engine/rss.php", "s902.ru"},
                            {"iScience.ru — Будущее уже здесь, в наших новостях", "http://feeds.feedburner.com/iscience", "s903.ru"},
                            {"Lenta.ru : Новости : Наука и техника", "http://lenta.ru/rss/news/science/", "s904.ru"},
                            {"N+1: научные статьи, новости, открытия", "https://nplus1.ru/rss", "s905.ru"},
                            {"Naked Science", "http://naked-science.ru/feedrss.xml", "s906.ru"},
                            {"Newtonew: новости образования и современные образовательные технологии", "http://newtonew.com/rss/", "s907.ru"},
                            {"Planetarium", "http://scinquisitor.livejournal.com/data/rss", "s908.ru"},
                            {"Газета.Ru - Наука", "http://www.gazeta.ru/export/rss/science.xml", "s909.ru"},
                            {"Наука и техника - Google News", "https://www.google.com/news?output=rss&topic=t&ned=ru_ru&cf=all&num=20", "s910.ru"},
                            {"Новости", "http://www.nkj.ru/rss/iblock_rss_31.xml", "s911.ru"},
                            {"Новости HPC.ru: КПК и коммуникаторы", "http://www.hpc.ru/exp/hpcru_news.rss", "s912.ru"},
                            {"Популярная механика", "http://www.popmech.ru/rss/", "s913.ru"},
                            {"ПостНаука", "http://postnauka.ru/feed", "s914.ru"},
                            {"Теории и практики: статьи", "http://theoryandpractice.ru/rss/posts.rss", "s915.ru"},
                    },
                    {//o
                            {"AllBoxing.ru - Все новости бокса, MMA, бои на видео", "http://allboxing.ru/atom.xml", "o916.ru"},
                            {"FAPL.ru", "http://fapl.ru/rss.xml", "o917.ru"},
                            {"Sportbox.ru - Главные новости", "http://news.sportbox.ru/taxonomy/term/7212/0/feed", "o918.ru"},
                            {"Динамо Киев от Шурика", "http://dynamo.kiev.ua/rss20.xml", "o919.ru"},
                            {"Жить в кайф", "http://ru-healthlife.livejournal.com/data/rss", "o920.ru"},
                            {"Новости - Футбол - все новости спорта на Sports.ru", "http://www.sports.ru/rss/rubric/208.xml", "o921.ru"},
                            {"Новости - Футбол, хоккей, баскетбол, теннис, бокс, Формула-1 – все новости спорт", "http://www.sports.ru/sports_docs.xml", "o922.ru"},
                            {"Новости на sport.ua", "http://sport.ua/rss/all", "o923.ru"},
                            {"Последние новости в Украине за час | Свежие последние новости дня онлайн | Обозр", "http://obozrevatel.com/rss.xml", "o924.ru"},
                            {"РБК Спорт- Главные новости", "http://static.feed.rbc.ru/rbc/internal/rss.rbc.ru/sport.rbc.ru/newsline.rss", "o925.ru"},
                            {"Советский спорт // SovSport.Ru", "http://www.sovsport.ru/gazeta_rss", "o926.ru"},
                            {"Спорт - Google News", "https://www.google.com/news?output=rss&topic=s&ned=ru_ru&cf=all&num=20", "o927.ru"},
                            {"Спорт: футбол, хоккей, баскетбол, теннис, бокс, Формула-1 – все новости спорта н", "http://www.sports.ru/rss/main.xml", "o928.ru"},
                            {"Формула 1 на F1news.ru", "http://www.f1news.ru/export/news.xml", "o929.ru"},
                            {"Футбол России и мира, новости футбола, Чемпионат мира по футболу, онлайн трансля", "http://www.sports.ru/rss/rubric.xml?id=208", "o930.ru"},
                            {"Чемпионат.com Футбол (новости)", "http://www.championat.com/xml/rss_football.xml", "o931.ru"},
                    },
                    {//t
                            {"3DNews: Новости Hardware", "http://www.3dnews.ru/news/rss/", "t932.ru"},
                            {"android.mobile-review.com", "http://android.mobile-review.com/feed/", "t933.ru"},
                            {"CNews.ru", "http://www.cnews.ru/news.xml", "t934.ru"},
                            {"нескучный сайт о технике", "http://gagadget.com/rss.xml", "t935.ru"},
                            {"Новости высоких технологий.", "http://feeds.feedburner.com/hi-news_ru", "t936.ru"},
                            {"Публикации", "http://hi-tech.mail.ru/rss/all/", "t937.ru"},
                            {"internetno.net", "http://feeds.feedburner.com/internetno", "t938.ru"},
                            {"ITC.ua", "http://itc.ua/rss/news.xml", "t939.ru"},
                            {"iXBT.com: новости", "http://www.ixbt.com/export/hardnews.rss", "t940.ru"},
                            {"iXBT.com: статьи", "http://www.ixbt.com/export/articles.rss", "t941.ru"},
                            {"Все о мобильной технике и технологиях", "http://www.mobile-review.com/rss-review.xml", "t942.ru"},
                            {"Общая лента", "http://www.overclockers.ru/rss/all.rss", "t943.ru"},
                            {"Компьютерные новости", "http://www.ferra.ru/export/news-rss.xml", "t944.ru"},
                            {"Новости IT-индустрииU", "http://www.thg.ru/technews/news_rss.xml", "t945.ru"},
                            {"Популярная механика", "http://www.popmech.ru/rss/", "t946.ru"},
                    },
            },
            {//pt
                    {//b
                            {"Economia & Negócios", "http://economia.estadao.com.br/EN/rss/economia.xml", "b559.pt"},
                            {"Endeavor", "https://endeavor.org.br/feed/", "b560.pt"},
                            {"Estadão PME - Pequenas e Médias Empresas", "http://pme.estadao.com.br/rss/ultimas.xml", "b561.pt"},
//                            {"EXAME", "http://exame.abril.com.br/rss/", "b562.pt"},
                            {"EXAME.com - Negócios", "http://feeds.feedburner.com/Exame-Negocios", "b563.pt"},
                            {"Forbes Brasil", "http://www.forbes.com.br/feed/", "b564.pt"},
//                            {"Harvard Business Review Brasil", "http://hbrbr.com.br/feed/", "b565.pt"},
                            {"InfoMoney : Negócios", "http://www.infomoney.com.br/negocios/rss", "b566.pt"},
                            {"Jornal de Negócios", "http://www.jornaldenegocios.pt/funcionalidades/rss/generarRSS.php", "b567.pt"},
                            {"Jornal do Empreendedor", "http://feeds.feedburner.com/jornalempreendedor", "b568.pt"},
//                            {"Negócios", "http://diariodonordeste.globo.com/feed/feed_materiasPorEditoria.asp?editoria=13", "b569.pt"},
                            {"OGlobo", "http://oglobo.globo.com/rss/plantao.xml", "b570.pt"},
                            {"Revista Época Negócios", "http://epocanegocios.globo.com/Revista/Common/Rss/0,,DMI0-16419,00.xml", "b571.pt"},
                            {"Sobre Administração", "http://www.sobreadministracao.com/feed/", "b572.pt"},
                            {"Valor Econômico - Empresas", "http://www.valor.com.br/empresas/rss", "b573.pt"},
                    },
                    {//e
                            {"Catraca Livre", "http://catracalivre.com.br/feed/", "e574.pt"},
                            {"Hoje é um Bom Dia", "http://feeds.feedburner.com/HojeUmBomDia", "e575.pt"},
                            {"Jovem Nerd", "http://jovemnerd.ig.com.br/feed/", "e576.pt"},
                            {"Judão", "http://feeds.feedburner.com/Judao", "e577.pt"},
//                            {"Kibeloco", "http://kibeloco.com.br/kibeloco/feed/", "e578.pt"},
                            {"Legião dos Heróis", "http://www.legiaodosherois.com.br/feed/", "e579.pt"},
                            {"LOL, HEHEHE", "http://feeds.feedburner.com/LolHehehe", "e580.pt"},
                            {"Melhores do Mundo", "http://feeds.feedburner.com/MelhoresDoMundo", "e581.pt"},
                            {"Novidades do Mega Curioso", "http://www.baixaki.com.br/rss/megacurioso.xml", "e582.pt"},
                            {"Não Salvo", "http://feeds.feedburner.com/Nao-Salvo", "e583.pt"},
                            {"O Verso do Inverso", "http://feeds2.feedburner.com/OVersoDoInverso", "e584.pt"},
                            {"Sedentário & Hiperativo", "http://feeds.feedburner.com/sedentario", "e585.pt"},
                            {"Série Maníacos", "http://feeds.feedburner.com/SrieManacos", "e586.pt"},
                            {"Testosterona", "http://feeds.feedburner.com/wordpress/bRnj", "e587.pt"},
                            {"TRETA", "http://feeds.feedburner.com/treta", "e588.pt"},
                    },
                    {//f
                            {"Depois Dos Quinze", "http://www.depoisdosquinze.com/feed/", "f589.pt"},
                            {"Fashionismo ", "http://www.fashionismo.com.br/feed/", "f590.pt"},
                            {"Just Lia | Por Lia Camargo", "http://www.justlia.com.br/feed/", "f591.pt"},
//                            {"Lu Ferreira | Chata de Galocha!", "http://www.chatadegalocha.com/feed/", "f592.pt"},
                            {"Pausa para Feminices", "http://www.pausaparafeminices.com/feed/", "f593.pt"},
                            {"Petiscos", "http://feeds.feedburner.com/JuliaPetitPetiscos", "f594.pt"},
//                            {"UOL", "http://rss.home.uol.com.br/index.xml", "f595.pt"},
                    },
                    {//l
                            {"DÁ FORMA A UM ESTILO DE VIDA SAUDÁVEL", "http://www.its-uptoyou.com/rss", "l596.pt"},
                            {"ESTILO DE VIDA", "http://feeds2.feedburner.com/estilo_rss", "l597.pt"},
                            {"Meu Diário Minimalista", "http://meudiariominimalista.wordpress.com/feed/", "l598.pt"},
                            {"Notas sobre uma escolha", "http://notasobreumaescolha.wordpress.com/feed/", "l599.pt"},
                    },
                    {//m
                            {"Hominis Canidae", "http://www.hominiscanidae.org/feeds/posts/default", "m600.pt"},
                            {"Miojo Indie", "http://miojoindie.com.br/feed/", "m601.pt"},
                            {"Monkeybuzz", "http://monkeybuzz.com.br/rss/", "m602.pt"},
//                            {"PopLoad", "http://www.popload.com.br/feed/", "m603.pt"},
                            {"Tenho Mais Discos Que Amigos!", "http://www.tenhomaisdiscosqueamigos.com/feed/", "m604.pt"},
                            {"UOL", "http://rss.home.uol.com.br/index.xml", "m605.pt"},
                    },
                    {//n
                            {"Brasil", "http://rss.terra.com.br/0,,EI1,00.xml", "n606.pt"},
                            {"Estadao.com.br", "http://www.estadao.com.br/rss/ultimas.xml", "n607.pt"},
                            {"Expresso", "http://feeds.feedburner.com/expresso-geral", "n608.pt"},
                            {"Jornal de Notícias - Últimas Notícias", "http://feeds.jn.pt/JN-ULTIMAS", "n609.pt"},
                            {"Notícias Automotivas", "http://www.noticiasautomotivas.com.br/feed", "n610.pt"},
                            {"Novidades do TecMundo", "http://www.baixaki.com.br/rss/tecnologia.xml", "n611.pt"},
                            {"O Jornal Económico", "https://economico.sapo.pt/rss/ultimas", "n612.pt"},
                            {"OGlobo", "http://oglobo.globo.com/rss/plantao.xml", "n613.pt"},
                            {"Pplware", "http://pplware.sapo.pt/feed/", "n614.pt"},
                            {"Techtudo", "http://www.techtudo.com.br/plantao/rss2.xml", "n615.pt"},
                            {"Tecnoblog", "http://feeds.feedburner.com/tecnoblog", "n616.pt"},
                            {"UOL Noticias", "https://rss.uol.com.br/feed/noticias.xml", "n617.pt"},
                            {"Valor Econômico - Últimas notícias", "http://www.valor.com.br/rss", "n618.pt"},
                            {"VEJA.com: Revista VEJA, acervo digital, notícias, blogs, colunistas, vídeos", "http://feeds.feedburner.com/noticiasveja", "n619.pt"},
                    },
                    {//p
                            {"Câmara Notícias - Câmara dos Deputados", "http://www.camara.gov.br/agenciarss/noticias.aspx", "p620.pt"},
                            {"Diário do Centro do Mundo", "http://www.diariodocentrodomundo.com.br/feed/", "p621.pt"},
                            {"Edição Brasil no EL PAÍS", "https://brasil.elpais.com/arc/outboundfeeds/rss/tags_slug/brasil-a/?outputType=xml", "p622.pt"},
                            {"Folha Política", "http://www.folhapolitica.org/feeds/posts/default", "p623.pt"},
                            {"Nexo Jornal", "https://nexojornal.s3.amazonaws.com/www/rss/feed.xml", "p624.pt"},
                            {"Pragmatismo Político", "http://feeds.feedburner.com/PragmatismoPolitico", "p625.pt"},
                            {"Radar – VEJA.com", "http://feeds.feedburner.com/radar-on-line", "p626.pt"},
                            {"RSS - Intituto Ludwig von Mises Brasil - Artigos", "http://www.mises.org.br/RSSArticles.aspx?type=3&culture=pt", "p627.pt"},
                    },
                    {//s
                            {"Ceticismo.net", "http://feedproxy.google.com/Ceticismonet", "s628.pt"},
                            {"Galileu", "https://revistagalileu.globo.com/rss/ultimas/feed.xml", "s629.pt"},
                            {"HypeScience", "http://hypescience.com/feed/", "s630.pt"},
                            {"Pós-Graduando – Tudo sobre a Pós-Graduação", "http://www.posgraduando.com/feed", "s631.pt"},
                            {"RSS Feed do Site Inovação Tecnológica", "http://www.inovacaotecnologica.com.br/boletim/rss.xml", "s632.pt"},
                            {"ScienceBlogs Brasil – Blogs de Ciência", "http://scienceblogs.com.br/index.xml", "s633.pt"},
                            {"Scientific American Brasil", "http://www2.uol.com.br/sciam/rss.xml", "s634.pt"},
                            {"Superinteressante", "http://super.abril.com.br/feed/", "s635.pt"},
                    },
                    {//o
                            {"Auto Esporte", "http://revistaautoesporte.globo.com/rss/ultimas/feed.xml", "o636.pt"},
                            {"Brasil", "http://rss.terra.com.br/0,,EI1,00.xml", "o637.pt"},
                            {"Estadao.com.br", "http://www.estadao.com.br/rss/ultimas.xml", "o638.pt"},
//                            {"globoesporte | globo esporte", "http://globoesporte.globo.com/globo-esporte/videos/feed.atom", "o639.pt"},
                            {"Grande Prêmio", "http://www.grandepremio.com.br/rss.aspx", "o640.pt"},
//                            {"Lo último", "http://www.lancenet.com.br/rss/", "o641.pt"},
                            {"Meu Timão", "http://feeds.feedburner.com/noticias-do-corinthians", "o642.pt"},
                            {"NETVASCO - Últimas Notícias", "http://feedproxy.google.com/Netvasco-Noticias", "o643.pt"},
                            {"Notícias do São Paulo FC", "http://www.saopaulofc.net/RssNoticias.aspx", "o644.pt"},
                            {"Trivela", "http://trivela.uol.com.br/feed/", "o645.pt"},
                            {"UOL", "http://rss.home.uol.com.br/index.xml", "o646.pt"},
                            {"UOL Esporte", "http://rss.esporte.uol.com.br/ultimas/index.xml", "o647.pt"},
                    },
                    {//t
                            {"B9", "http://feeds.feedburner.com/brainstorm9", "t648.pt"},
                            {"Novidades do TecMundo", "http://www.baixaki.com.br/rss/tecnologia.xml", "t649.pt"},
                            {"OGlobo", "http://oglobo.globo.com/rss/plantao.xml", "t650.pt"},
                            {"Tecnoblog", "http://feeds.feedburner.com/tecnoblog", "t651.pt"},
                    },
            },
            {//en
                    {//b
                            {"Business Insider", "http://feeds2.feedburner.com/businessinsider", "b1.en"},
                            {"Fast Company", "http://www.fastcompany.com/rss.xml", "b2.en"},
                            {"The Wall Street Journal", "https://feeds.a.dj.com/rss/RSSWorldNews.xml", "b4.en"},
                            {"Yahoo! Business News", "http://rss.news.yahoo.com/rss/business", "b5.en"},
                            {"Fast Company", "http://feeds.feedburner.com/fastcompany/headlines", "b77.en"},
                            {"Copyblogger", "https://copyblogger.com/blog/feed", "b82.en"},
                            {"Entrepreneur", "http://feeds.feedburner.com/entrepreneur/latest", "b83.en"},
                            {"Finance and economics", "http://www.economist.com/rss/finance_and_economics_rss.xml", "b84.en"},
                            {"Harvard Business Review ", "http://feeds.harvardbusiness.org/harvardbusiness/", "b85.en"},
                            {"Neil Patel", "http://feeds.feedburner.com/KISSmetrics", "b86.en"},
                            {"Seth Godin", "http://feeds.feedblitz.com/sethsblog&x=1", "b87.en"},
                            {"The Atlantic - Business", "http://feeds.feedburner.com/AtlanticBusinessChannel", "b88.en"},
                            {"The Economist", "http://www.economist.com/rss/the_world_this_week_rss.xml", "b89.en"},
                            {"VentureBeat", "http://venturebeat.com/feed/", "b91.en"},
                            {"Yahoo News - Latest News & Headlines", "http://rss.news.yahoo.com/rss/topstories", "b93.en"},
                    },
                    {//e
                            {"E! Online", "http://feeds.eonline.com/eonline/uk/topstories", "e6.en"},
                            {"Film School Rejects", "http://www.filmschoolrejects.com/feed", "e7.en"},
//                            {"TV Guide", "http://rss.tvguide.com/breakingnews", "e8.en"},
                            {"Wetpaint", "http://feeds.feedburner.com/wetpaint/khhC", "e9.en"},
                            {"Yahoo! Entertainment News", "http://rss.news.yahoo.com/rss/entertainment", "e11.en"},
                            {"/Film", "http://feeds.feedburner.com/slashfilm", "e94.en"},
                            {"Bored Panda", "http://feeds.feedburner.com/BoredPanda", "e95.en"},
                            {"BuzzFeed - Latest", "http://www.buzzfeed.com/index.xml", "e96.en"},
                            {"Cracked: All Posts", "http://feeds.feedburner.com/CrackedRSS", "e97.en"},
                            {"Deadline", "http://www.deadline.com/feed/", "e98.en"},
                            {"Entertainment - Google News", "https://www.google.com/news?output=rss&topic=e&ned=us&cf=all&num=20", "e99.en"},
                            {"FirstShowing.net", "http://www.firstshowing.net/feed/?full", "e100.en"},
                            {"Flavorwire", "http://feeds.feedburner.com/flavorwire-rss", "e101.en"},
                            {"IGN Reviews", "http://feeds.ign.com/ign/reviews", "e102.en"},
                            {"Latest Movie Trailers", "http://trailers.apple.com/trailers/home/rss/newtrailers.rss", "e103.en"},
                            {"Variety", "http://www.variety.com/rss.asp?categoryid=10", "e105.en"},
                            {"Yahoo News - Latest News & Headlines", "http://rss.news.yahoo.com/rss/topstories", "e106.en"},
                    },
                    {//f
                            {"Chictopia", "https://www.chictopia.com/browse/atom_feed/1", "f12.en"},
                            {"Fashionista", "http://fashionista.com/index.xml", "f13.en"},
                            {"Hypebeast", "http://hypebeast.com/feed/", "f14.en"},
                            {"Refinery29", "http://www.refinery29.com/rss.xml", "f17.en"},
                            {"The Cut", "http://feeds.feedburner.com/nymag/fashion", "f18.en"},
                            {"Fashionista", "http://feeds.feedburner.com/fashionistacom", "f78.en"},
                            {"eat.sleep.wear.", "http://www.eatsleepwear.com/feed/", "f108.en"},
                            {"Everyday Carry", "http://everyday-carry.com/rss", "f109.en"},
                            {"Fashion Squad", "http://www.fashionsquad.com/feed/", "f110.en"},
                            {"From Me To You", "http://annstreetstudio.com/feed/", "f111.en"},
                            {"Highsnobiety", "http://feeds.feedburner.com/highsnobiety/rss", "f112.en"},
                            {"Refinery29", "http://www.refinery29.com/index.xml", "f113.en"},
                            {"The Art of Manliness", "http://feeds2.feedburner.com/TheArtOfManliness", "f114.en"},
                            {"The Sartorialist", "http://feeds.feedburner.com/thesartorialist", "f115.en"},
                            {"Uncrate", "http://uncrate.com/rss/index.xml", "f116.en"},
                    },
                    {//l
                            {"Enterase", "http://feeds.feedburner.com/Enterase", "l20.en"},
                            {"GOOD Magazine", "http://www.good.is/rss/main", "l22.en"},
                            {"Make", "http://feeds.feedburner.com/makezineonline", "l23.en"},
                            {"Huffington Post", "http://www.huffingtonpost.com/feeds/verticals/style/index.xml", "l24.en"},
                            {"Werd", "http://www.werd.com/feed/", "l25.en"},
                            {"Huffington Post", "https://www.huffingtonpost.com/section/style/feed", "l79.en"},
                            {"Everyday Carry", "http://everyday-carry.com/rss", "l118.en"},
                            {"Highsnobiety", "http://feeds.feedburner.com/highsnobiety/rss", "l119.en"},
                            {"HYPEBEAST", "http://hypebeast.com/feed/", "l120.en"},
                            {"Lifehack - Feed", "http://www.lifehack.org/feed/", "l121.en"},
                            {"Oh Happy Day!", "http://ohhappyday.com/feed/", "l122.en"},
                            {"Refinery29", "http://www.refinery29.com/index.xml", "l123.en"},
                            {"The Art of Manliness", "http://feeds2.feedburner.com/TheArtOfManliness", "l124.en"},
                            {"The Art of Non-Conformity", "https://chrisguillebeau.com/3x5/feed/", "l125.en"},
                            {"Unclutterer", "http://feeds.feedburner.com/unclutterer", "l126.en"},
                            {"VICE", "http://www.vice.com/rss", "l127.en"},
                            {"zen habits", "http://feeds.feedburner.com/zenhabits", "l128.en"},
                            {"Car and Driver", "http://feeds.feedburner.com/caranddriver/blog", "l955.en"},
                    },
                    {//m
                            {"Billboard", "https://www.billboard.com/feed/", "m26.en"},
                            {"RCRD LBL", "http://feeds.feedburner.com/rcrdlbl/Main", "m27.en"},
                            {"Stereogum", "http://feeds.feedburner.com/stereogum/cBYa", "m29.en"},
                            {"Yahoo! Music News Headlines", "http://news.yahoo.com/rss/music", "m30.en"},
                            {"Best New Albums - Pitchfork", "http://pitchfork.com/rss/reviews/best/albums/", "m129.en"},
                            {"brooklyn vegan", "http://www.brooklynvegan.com/atom.xml", "m130.en"},
                            {"CDM Create Digital Music", "http://feeds.feedburner.com/createdigitalmusic", "m131.en"},
                            {"Consequence of Sound", "http://consequenceofsound.net/feed/", "m132.en"},
                            {"HYPEBEAST", "http://hypebeast.com/feed/", "m133.en"},
                            {"MTV News", "http://feeds.feedburner.com/MTVNewsLatest", "m135.en"},
                            {"Music | The Guardian", "http://www.theguardian.com/music/rss", "m136.en"},
                            {"NPR - Music", "https://feeds.npr.org/1039/rss.xml", "m137.en"},
                            {"Pitchfork", "http://pitchfork.com/rss/news/", "m138.en"},
                            {"Rap Radar", "http://rapradar.com/feed/", "m139.en"},
                            {"RSS: Album Reviews", "http://pitchfork.com/rss/reviews/albums/", "m141.en"},
                            {"The FADER", "http://feeds.feedburner.com/TheFaderMagazine", "m142.en"},
                            {"RollingStone", "https://www.rollingstone.com/music/feed/", "m953.en"},
                    },
                    {//n
                            {"ABC News", "http://feeds.abcnews.com/abcnews/topstories", "n32.en"},
                            {"BBC", "http://feeds.bbci.co.uk/news/rss.xml", "n33.en"},
                            {"CNN Top Stories", "http://rss.cnn.com/rss/cnn_topstories.rss", "n34.en"},
                            {"CNN Europe", "http://rss.cnn.com/rss/edition_europe.rss", "n35.en"},
                            {"MSNBC", "http://www.msnbc.com/feeds/latest", "n36.en"},
                            {"Reuters", "https://www.reutersagency.com/feed/?taxonomy=best-topics&post_type=best", "n37.en"},
                            {"The New York Times", "http://www.nytimes.com/services/xml/rss/nyt/HomePage.xml", "n38.en"},
                            {"Yahoo! News: Top Stories", "http://rss.news.yahoo.com/rss/topstories", "n39.en"},
                            {"BBC", "http://newsrss.bbc.co.uk/rss/newsonline_world_edition/front_page/rss.xml", "n143.en"},
                            {"FOX News", "http://feeds.foxnews.com/foxnews/scitech", "n144.en"},
                            {"More Top Stories - Google News", "https://news.google.com/rss?hl=en", "n145.en"},
                            {"MTV News", "http://feeds.feedburner.com/MTVNewsLatest", "n146.en"},
                            {"NPR News", "https://feeds.npr.org/1001/rss.xml", "n148.en"},
                            {"Reuters", "https://news.google.com/rss/search?q=when:24h+allinurl:reuters.com&ceid=US:en&hl=en-US&gl=US", "n150.en"},
                            {"Science current issue", "http://www.sciencemag.org/rss/current.xml", "n151.en"},
                            {"The Atlantic ", "http://feeds.feedburner.com/TheAtlantic", "n152.en"},
                            {"The Boston Globe", "http://www.bostonglobe.com/rss/feedly.xml", "n153.en"},
                            {"The Guardian", "https://www.theguardian.com/world/rss", "n154.en"},
                    },
                    {//p
                            {"Crooks and Liars", "http://feeds.feedburner.com/crooksandliars/YaCP", "p40.en"},
                            {"Fox News: Politics", "http://feeds.foxnews.com/foxnews/politics", "p41.en"},
                            {"Hot Air", "http://feeds.feedburner.com/hotair/main", "p42.en"},
                            {"NPR: Politics", "https://feeds.npr.org/1001/rss.xml", "p44.en"},
                            {"Politico", "http://www.politico.com/rss/politicopicks.xml", "p45.en"},
                            {"American Thinker", "http://feeds.feedburner.com/americanthinker", "p158.en"},
                            {"Drudge Report Feed", "https://feedpress.me/drudgereportfeed", "p159.en"},
                            {"Features - FiveThirtyEight", "http://fivethirtyeight.com/features/feed/", "p160.en"},
                            {"Hot Air TV", "http://feeds.feedburner.com/hotair/vent", "p161.en"},
                            {"Michelle Malkin", "http://feeds.feedburner.com/michellemalkin/posts", "p162.en"},
                            {"Slate", "http://feeds.slate.com/slate-101526", "p164.en"},
                            {"The Agenda", "https://www.nationalreview.com/feed/", "p166.en"},
                            {"The Atlantic - Politics", "http://feeds.feedburner.com/AtlanticPoliticsChannel", "p167.en"},
                            {"The Intercept", "https://firstlook.org/theintercept/feed/", "p168.en"},
                            {"Think Progress", "http://thinkprogress.org/feed/", "p957.en"},
                    },
                    {//s
                            {"Astronomy Picture of the Day", "http://apod.nasa.gov/apod.rss", "s47.en"},
                            {"Discover Magazine", "http://feeds.feedburner.com/DiscoverMag", "s48.en"},
                            {"KQED Quest", "http://www.kqed.org/quest/blog/feed/", "s49.en"},
                            {"Nature Latest Research", "https://www.nature.com/nature.rss", "s50.en"},
                            {"PhysOrg.com", "http://www.physorg.com/rss-feed/", "s51.en"},
                            {"Reuters", "https://www.reutersagency.com/feed/?best-topics=tech&post_type=best", "s53.en"},
                            {"Yahoo! Science News", "http://rss.news.yahoo.com/rss/science", "s54.en"},
                            {"BBC News - Science & Environment", "http://newsrss.bbc.co.uk/rss/newsonline_world_edition/science/nature/rss.xml", "s169.en"},
                            {"FlowingData", "http://feeds.feedburner.com/FlowingData", "s170.en"},
                            {"Futurity", "http://www.futurity.org/feed/", "s171.en"},
                            {"Information is Beautiful", "http://feeds.feedburner.com/InformationIsBeautiful", "s172.en"},
                            {"NPR", "https://feeds.npr.org/1007/rss.xml", "s174.en"},
                            {"NYT > Science", "http://www.nytimes.com/services/xml/rss/nyt/Science.xml", "s175.en"},
                            {"Science and technology", "http://www.economist.com/rss/science_and_technology_rss.xml", "s176.en"},
                            {"Science current issue", "http://www.sciencemag.org/rss/current.xml", "s177.en"},
                            {"ScienceDaily ", "http://www.sciencedaily.com/newsfeed.xml", "s178.en"},
                            {"Space.com", "http://www.space.com/syn/space.xml", "s179.en"},
                            {"TED Talks Daily (SD video)", "http://feeds.feedburner.com/tedtalks_video", "s180.en"},
                    },
                    {//o
                            {"Bleacher Report", "http://bleacherreport.com/articles/feed", "o55.en"},
                            {"Deadspin", "http://deadspin.com/vip.xml", "o56.en"},
                            {"Reuters", "https://www.reutersagency.com/feed/?best-topics=sports&post_type=best", "o57.en"},
                            {"Yahoo! Sports News", "http://rss.news.yahoo.com/rss/sports", "o59.en"},
                            {"Deadspin", "http://deadspin.com/rss", "o81.en"},
                            {"Angelswin.com", "http://feeds.feedburner.com/Angelswin", "o182.en"},
                            {"BBC Sport - Football", "http://newsrss.bbc.co.uk/rss/sportonline_uk_edition/football/rss.xml", "o183.en"},
                            {"BBC Sport - Formula 1", "http://newsrss.bbc.co.uk/rss/sportonline_world_edition/motorsport/formula_one/rss.xml", "o184.en"},
                            {"BBC Sport - Sport", "http://newsrss.bbc.co.uk/rss/sportonline_world_edition/front_page/rss.xml", "o185.en"},
                            {"Bruins Nation", "http://www.bruinsnation.com/atom/", "o186.en"},
                            {"ESPN.com", "http://sports.espn.go.com/espn/rss/news", "o187.en"},
                            {"Features – FiveThirtyEight", "https://fivethirtyeight.com/features/feed/", "o188.en"},
                            {"Frozen Royalty", "http://frozenroyalty.net/feed/", "o189.en"},
                            {"GANNETT Syndication Service", "http://rssfeeds.usatoday.com/usatoday-NewsTopStories", "o190.en"},
                            {"Grantland: Home Page", "http://feeds.feedburner.com/Grantland", "o191.en"},
                            {"Life Is Waves! on Vimeo", "http://vimeo.com/channels/111750/videos/rss", "o192.en"},
                            {"NBA.com: News", "http://www.nba.com/rss/nba_rss.xml", "o193.en"},
                            {"SkySports | News", "http://www.skysports.com/rss/0,20514,11095,00.xml", "o194.en"},
                    },
                    {//t
                            {"Ars Technica", "http://feeds.arstechnica.com/arstechnica/index", "t60.en"},
                            {"Boing Boing", "http://feeds.boingboing.net/boingboing/iBag", "t61.en"},
                            {"Engadget", "http://www.engadget.com/rss-full.xml", "t63.en"},
                            {"GigaOM", "https://gigaom.com/feed/", "t64.en"},
                            {"Gizmodo", "http://gizmodo.com/vip.xml", "t65.en"},
                            {"Mac Rumors", "http://feeds.macrumors.com/MacRumors-All", "t67.en"},
                            {"Macworld", "http://rss.macworld.com/macworld/feeds/main", "t68.en"},
                            {"Mashable", "http://feeds.mashable.com/Mashable", "t69.en"},
                            {"Slashgear", "http://www.slashgear.com/feed/", "t71.en"},
                            {"Techcrunch", "http://feeds.feedburner.com/TechCrunch", "t72.en"},
                            {"Techmeme", "http://www.techmeme.com/index.xml", "t73.en"},
                            {"The Loop", "http://feeds.loopinsight.com/loopinsight/KqJb", "t74.en"},
                            {"Yahoo! Technology News", "http://rss.news.yahoo.com/rss/tech", "t76.en"},
                            {"Ars Technica", "http://feeds.arstechnica.com/arstechnica/index/", "t197.en"},
                            {"Business Insider", "http://feeds2.feedburner.com/businessinsider", "t198.en"},
                            {"Entrepreneur", "http://feeds.feedburner.com/entrepreneur/latest", "t199.en"},
                            {"Fast Company", "http://feeds.feedburner.com/fastcompany/headlines", "t200.en"},
                            {"MacRumors", "http://www.macrumors.com/macrumors.xml", "t202.en"},
                    },
            },
            {//it
                    {//b
                            {"Adnkronos - Finanza", "https://www.adnkronos.com/RSS_Finanza.xml", "b209.it"},
                            {"Corriere.it - Economia", "http://www.corriere.it/rss/economia.xml", "b210.it"},
                            {"Economia - Google News", "https://www.google.com/news?output=rss&topic=b&ned=it&cf=all&num=20", "b211.it"},
                            {"FinanzaOnline", "http://www.finanzaonline.com/rss/index.php", "b212.it"},
                            {"Il Sole 24 ORE - Commenti e Idee", "https://www.ilsole24ore.com/rss/commenti.xml", "b213.it"},
                            {"Il Sole 24 ORE - Finanza e Mercati", "http://www.ilsole24ore.com/rss/finanza-mercati.xml", "b214.it"},
                            {"Il Sole 24 ORE - index", "http://www.ilsole24ore.com/rss/primapagina.xml", "b215.it"},
                            {"LeoniBlog", "http://www.chicago-blog.it/feed/", "b216.it"},
                            {"Phastidio.net", "http://feeds2.feedburner.com/phastidio/lhrg", "b218.it"},
                            {"Repubblica.it > Economia", "https://www.repubblica.it/rss/economia/rss2.0.xml", "b219.it"},
                            {"Rischio Calcolato", "http://feeds.feedburner.com/blogspot/HAzvd", "b220.it"},
                            {"RSS di Economia  - ANSA.it", "http://www.ansa.it/sito/notizie/economia/economia_rss.xml", "b221.it"},
//                            {"Soldiblog.it", "http://www.soldiblog.it/rss2.xml", "b222.it"},
                            {"Trend Online", "http://www.trend-online.com/rssfeed/generali.xml", "b223.it"},
                    },
                    {//e
                            {"Adnkronos - Spettacolo", "http://rss.adnkronos.com/RSS_Spettacolo.xml", "e224.it"},
                            {"Altro Spettacolo", "https://www.altrospettacolo.it/feed/", "e225.it"},
                            {"Corriere.it - Spettacoli", "http://www.corriere.it/rss/spettacoli.xml", "e226.it"},
//                            {"Cultura e spettacolo | Incontragiovani Roma", "http://www.incontragiovani.it/rss/cultura-e-spettacolo", "e227.it"},
                            {"Direzione Generale Spettacolo dal Vivo", "http://www.spettacolodalvivo.beniculturali.it/index.php?format=feed&type=rss", "e228.it"},
                            {"Intrattenimento - Google News", "https://www.google.com/news?output=rss&topic=e&ned=it&cf=all&num=20", "e229.it"},
                            {"leggo.it - spettacoli", "http://www.leggo.it/rss/spettacoli.xml", "e230.it"},
                            {"News di Spettacolo - ANSA.it", "http://www.ansa.it/sito/notizie/cultura/cultura_rss.xml", "e231.it"},
                            {"Repubblica.it > Spettacoli", "https://www.repubblica.it/rss/spettacoli/rss2.0.xml", "e232.it"},
                            {"RSS di Cinema   - ANSA.it", "http://www.ansa.it/sito/notizie/cultura/cinema/cinema_rss.xml", "e233.it"},
                            {"RSS di Cultura & Spettacoli  - ANSA.it", "http://www.ansa.it/web/notizie/rubriche/cultura/cultura_rss.xml", "e234.it"},
                            {"Sky News Tg24 - tg24 spettacolo", "http://tg24.sky.it/rss/tg24_spettacolo.xml", "e235.it"},
                            {"Stato e Spettacolo", "http://ceccarelli.blogautore.repubblica.it/feed/", "e236.it"},
                            {"Tgcom24 Spettacolo", "http://www.tgcom24.mediaset.it/rss/spettacolo.xml", "e237.it"},
                            {"TVBlog.it", "http://www.tvblog.it/rss2.xml", "e238.it"},
                            {"Umbria24: News, Cronaca, Politica, Cultura, Spettacolo, Free Economy", "http://feeds.feedburner.com/Umbria24?format=xml", "e239.it"},
                            {"| blog di News Lifestyle Gossip TV e Spettacolo", "http://feeds.feedburner.com/grazia", "e240.it"},
                    },
                    {//f
                            {"Ben Trovato", "http://bentrovatoblog.com/feed/", "f241.it"},
                            {"Dazed Digital", "http://www.dazeddigital.com/rss", "f242.it"},
                            {"Fashionblog.it", "http://www.fashionblog.it/rss2.xml", "f243.it"},
                            {"Frizzifrizzi", "http://www.frizzifrizzi.it/feed/", "f244.it"},
                            {"Moda uomo, lifestyle | Menchic.it", "http://www.menchic.it/feed", "f245.it"},
                            {"Stylosophy » Tendenze moda", "http://www.stylosophy.it/s/tendenze/rss2/", "f246.it"},
                            {"Trend & The City", "http://www.trendandthecity.it/feed/", "f247.it"},
//                            {"WhyModa", "http://whymoda.blogosfere.it/index.rdf", "f248.it"},
                    },
                    {//l
                            {"Benessereblog.it", "http://www.benessereblog.it/rss2.xml", "l249.it"},
                            {"EfficaceMente", "http://feeds.feedburner.com/EfficaceMente", "l250.it"},
                            {"Fashionblog.it", "http://www.fashionblog.it/rss2.xml", "l251.it"},
                            {"In viaggio da sola", "https://inviaggiodasola.com/feed/", "l252.it"},
                    },
                    {//m
                            {"Il Sole 24 ORE - Cultura", "http://www.ilsole24ore.com/rss/cultura.xml", "m253.it"},
                            {"IndieForBunnies", "http://www.indieforbunnies.com/feed/", "m254.it"},
                            {"Metalitalia.com", "http://metalitalia.com/feed/", "m255.it"},
                            {"Ondarock", "http://www.ondarock.it/feed.php", "m256.it"},
                            {"polaroid - un blog alla radio", "http://polaroid.blogspot.com/atom.xml", "m257.it"},
                            {"Rockit.it feed quotidiano", "http://feeds2.feedburner.com/RockitFeed", "m258.it"},
                            {"Rockol Dischi", "http://www.rockol.it/rss/dischi.php", "m259.it"},
                            {"Rockol Music News", "http://www.rockol.it/rss/news_hp.php", "m260.it"},
                            {"Soundsblog.it", "http://feeds.blogo.it/soundsblog/it", "m261.it"},
                            {"XL Repubblica", "http://xl.repubblica.it/feed/", "m262.it"},
                    },
                    {//n
                            {"Adnkronos - ultimora", "https://www.adnkronos.com/RSS_Ultimora.xml", "n263.it"},
                            {"Corriere.it - Homepage", "http://www.corriere.it/rss/homepage.xml", "n264.it"},
                            {"Il Fatto Quotidiano", "http://www.ilfattoquotidiano.it/feed/", "n265.it"},
                            {"Il Post", "https://rsshub.app/telegram/channel/ilpost_official", "n266.it"},
                            {"Il Sole 24 ORE - index", "http://www.ilsole24ore.com/rss/primapagina.xml", "n267.it"},
                            {"Il Sole 24 ORE - Notizie", "https://www.ilsole24ore.com/rss/italia.xml", "n268.it"},
                            {"ilmessaggero.it - Home", "http://www.ilmessaggero.it/rss/home.xml", "n269.it"},
                            {"Internazionale", "http://www.internazionale.it/subscribe/backstage/", "n270.it"},
                            {"lastampa.it - La Stampa", "http://www.lastampa.it/redazione/rss_home.xml", "n271.it"},
                            {"Marco Travaglio – Il Fatto Quotidiano", "http://www.ilfattoquotidiano.it/blog/mtravaglio/feed/", "n272.it"},
                            {"micromega-online", "http://temi.repubblica.it/micromega-online/feed/", "n273.it"},
                            {"Collettiva", "https://rsshub.app/telegram/channel/collettiva_news", "n274.it"},
                            {"Repubblica Ultimora", "http://data.kataweb.it/rss/news24repubblica/rss2.0.xml", "n275.it"},
                            {"Repubblica.it > Homepage", "https://www.repubblica.it/rss/homepage/rss2.0.xml", "n276.it"},
                    },
                    {//p
                            {"Corriere.it - Politica", "http://www.corriere.it/rss/politica.xml", "p278.it"},
                            {"Giap", "http://feeds.feedburner.com/giap", "p279.it"},
                            {"Giornalettismo", "http://www.giornalettismo.com/feed/", "p280.it"},
                            {"Internazionale", "http://www.internazionale.it/subscribe/backstage/", "p281.it"},
                            {"Lavoce.info", "http://www.lavoce.info/feed/", "p282.it"},
                            {"Limes", "http://temi.repubblica.it/limes/feed", "p283.it"},
                            {"manteblog", "http://feeds.feedburner.com/mantellini/feed", "p284.it"},
                            {"Marco Travaglio – Il Fatto Quotidiano", "http://www.ilfattoquotidiano.it/blog/mtravaglio/feed/", "p285.it"},
                            {"micromega-online", "http://temi.repubblica.it/micromega-online/feed/", "p286.it"},
                            {"noiseFromAmerika", "http://feeds.feedburner.com/noisefromamerika", "p287.it"},
                            {"Phastidio.net", "http://feeds2.feedburner.com/phastidio/lhrg", "p288.it"},
                            {"Piovono rane", "http://gilioli.blogautore.espresso.repubblica.it/feed/", "p289.it"},
                            {"Polisblog.it", "http://feeds.blogo.it/polisblog/it", "p290.it"},
                            {"Repubblica.it > Politica", "https://www.repubblica.it/rss/politica/rss2.0.xml", "p291.it"},
                            {"Spinoza", "http://feeds.feedburner.com/Spinoza", "p292.it"},
                            {"Wittgenstein", "http://www.wittgenstein.it/feed/", "p293.it"},
                    },
                    {//s
                            {"Corriere.it - Scienze e Tecnologie", "http://www.corriere.it/rss/scienze.xml", "s294.it"},
                            {"Ecoblog.it", "http://www.ecoblog.it/rss2.xml", "s295.it"},
                            {"Fantascienza.com", "http://www.fantascienza.com/magazine/rss/fantascienza_com_home.rss", "s296.it"},
                            {"Galileo", "http://www.galileonet.it/rss/", "s298.it"},
                            {"Gravità Zero", "http://www.gravita-zero.org/feeds/posts/default", "s299.it"},
                            {"Il Disinformatico", "http://attivissimo.blogspot.com/atom.xml", "s300.it"},
                            {"Il Sole 24 ORE - Tecnologie", "http://www.ilsole24ore.com/rss/tecnologie.xml", "s301.it"},
                            {"Le Scienze", "http://www.lescienze.it/rss/all/rss2.0.xml", "s302.it"},
                            {"Le Scienze > Rss", "http://www.lescienze.it/rss/argomento/neuroscienze/rss2.0.xml", "s303.it"},
                            {"Lega Nerd", "http://feeds.feedburner.com/LegaNerd", "s304.it"},
                            {"Oggi Scienza", "http://oggiscienza.wordpress.com/feed/", "s306.it"},
                            {"Repubblica.it > Scienze", "https://www.repubblica.it/rss/scienze/rss2.0.xml", "s307.it"},
                            {"Repubblica.it > Tecnologia", "https://www.repubblica.it/rss/scienza_e_tecnologia/rss2.0.xml", "s308.it"},
                            {"RSS di Tecnologia  - ANSA.it", "http://www.ansa.it/web/notizie/rubriche/scienza/scienza_rss.xml", "s309.it"},
                            {"Scienza e tecnologia - Google News", "https://www.google.com/news?output=rss&topic=t&ned=it&cf=all&num=20", "s310.it"},
                            {"Scienza in cucina", "http://bressanini-lescienze.blogautore.espresso.repubblica.it/feed/", "s311.it"},
                    },
                    {//o
                            {"Calcioblog.it", "http://feeds.blogo.it/calcioblog/it", "o312.it"},
                            {"Calciomercato.com", "http://www.calciomercato.com/feed", "o313.it"},
                            {"Corriere dello Sport", "http://www.corrieredellosport.it/rss/primo_piano.xml", "o314.it"},
                            {"Gazzetta.it", "http://www.gazzetta.it/rss/calcio.xml", "o315.it"},
                            {"LUltimo Uomo", "http://www.ultimouomo.com/feed/", "o316.it"},
                            {"Motoblog.it", "http://www.motoblog.it/rss2.xml", "o317.it"},
                            {"RSS di Calcio  - ANSA.it", "http://www.ansa.it/sito/notizie/sport/calcio/calcio_rss.xml", "o318.it"},
                            {"Sky Sport - Sky.it", "http://feeds.feedburner.com/SkyitSport", "o319.it"},
                            {"Sportmediaset HOMEPAGE news", "http://www.sportmediaset.it/rss/homepage.xml", "o320.it"},
                            {"TUTTOmercatoWEB.com", "http://www.tuttomercatoweb.com/rss/", "o321.it"},
                    },
                    {//t
                            {"AndroidWorld.it", "http://www.androidworld.it/feed/", "t322.it"},
//                            {"Downloadblog.it", "http://www.downloadblog.it/rss2.xml", "t323.it"},
                            {"Geekissimo", "http://feeds2.feedburner.com/Geekissimo", "t324.it"},
                            {"HDblog.it", "http://feeds.feedburner.com/hd-blog", "t325.it"},
                            {"IlSoftware.it", "http://www.ilsoftware.it/rss.asp", "t326.it"},
                            {"Macity", "http://www.macitynet.it/macity/rss.xml", "t327.it"},
                            {"Motoricerca", "http://feeds.feedburner.com/motoricerca", "t328.it"},
                    },
            },
            {//fr
                    {//b
                            {"Challenges en temps réel : accueil", "http://www.challenges.fr/rss.xml", "b463.fr"},
                            {"Démystifier la finance", "http://finance.blog.lemonde.fr/feed/", "b464.fr"},
                            {"Les-Crises.fr", "http://feeds.feedburner.com/les-crises-fr", "b466.fr"},
                            {"Économie", "http://www.latribune.fr/rss/rubriques/actualite.html", "b467.fr"},
                            {"Économie : Toute lactualité sur Le Monde.fr.", "http://www.lemonde.fr/rss/tag/economie.xml", "b468.fr"},
                    },
                    {//e
                            {"Arts et scènes : lactu du théâtre, des critiques dexpositions et de spectacles -", "http://www.telerama.fr/rss/scenes.xml", "e469.fr"},
                            {"La Revue du Spectacle, le magazine des arts de la scène et du spectacle vivant. ", "http://www.larevueduspectacle.fr/xml/syndication.rss", "e470.fr"},
                            {"Profession Spectacle", "http://www.profession-spectacle.com/feed/", "e471.fr"},
                            {"Spectacles - BinnewZ France", "http://www.binnews.in/rss/cat-36.html", "e472.fr"},
                            {"Theatre-contemporain.net - nouveaux spectacles mis en ligne", "http://www.theatre-contemporain.net/actualites/nouvelles", "e473.fr"},
                    },
                    {//f
                            {"Comme un camion", "http://feeds.feedburner.com/commeuncamion", "f474.fr"},
                            {"Deedee", "http://www.deedeeparis.com/blog/feed", "f475.fr"},
                            {"Garance Doré", "http://feeds.feedburner.com/GaranceDore", "f477.fr"},
                            {"Le Barboteur", "http://www.lebarboteur.com/?feed=rss2", "f478.fr"},
                            {"Le monde de Tokyobanhbao: Blog Mode gourmand", "http://www.tokyobanhbao.com/feed/", "f479.fr"},
                            {"madmoiZelle.com", "http://feeds.feedburner.com/madmoiZelle", "f480.fr"},
                            {"Mango and Salt", "http://www.mangoandsalt.com/feed/", "f481.fr"},
                            {"Miss Pandora", "http://www.misspandora.fr/feed/", "f482.fr"},
                            {"Mode(s) dEmploi", "http://feeds.feedburner.com/modesemploi", "f483.fr"},
                            {"Parisian Gentleman", "http://feeds.feedburner.com/ParisianGentleman", "f484.fr"},
                            {"Punky B", "http://www.punky-b.com/feed/", "f485.fr"},
                    },
                    {//l
                            {"Deedee", "http://www.deedeeparis.com/blog/feed", "l486.fr"},
                            {"Eleonore Bridge", "http://feeds.feedburner.com/leblogdelamechante/Wuau/", "l487.fr"},
                            {"GQ", "http://www.gqmagazine.fr/rss.xml", "l489.fr"},
                            {"La Vie des idées", "http://www.laviedesidees.fr/spip.php?page=backend", "l490.fr"},
                            {"Le Barboteur", "http://www.lebarboteur.com/?feed=rss2", "l491.fr"},
                            {"Le monde de Tokyobanhbao: Blog Mode gourmand", "http://www.tokyobanhbao.com/feed/", "l492.fr"},
                            {"madmoiZelle.com", "http://feeds.feedburner.com/madmoiZelle", "l493.fr"},
                            {"Mango and Salt", "http://www.mangoandsalt.com/feed/", "l494.fr"},
                            {"Masculin.com - A la une", "http://feeds.feedburner.com/masculin", "l495.fr"},
                            {"Miss Pandora", "http://www.misspandora.fr/feed/", "l496.fr"},
                            {"Mode homme : Blog et Forum mode Comme un camion", "http://feeds.feedburner.com/commeuncamion", "l497.fr"},
                            {"Mode(s) dEmploi", "http://feeds.feedburner.com/modesemploi", "l498.fr"},
                            {"Parisian Gentleman", "http://feeds.feedburner.com/ParisianGentleman", "l499.fr"},
                            {"Punky B", "http://www.punky-b.com/feed/", "l500.fr"},
                    },
                    {//m
                            {"Abcdr du Son", "http://www.abcdrduson.com/feed/", "m501.fr"},
                            {"Gonzaï", "http://gonzai.com/feed/", "m502.fr"},
                            {"Infoconcert - News", "http://www.infoconcert.com/rss/news.php3", "m503.fr"},
                            {"La musique en streaming sans fil partout dans la maison", "http://feeds.feedburner.com/multiroom", "m504.fr"},
                            {"Le Mellotron", "http://feeds.feedburner.com/LeMellotron", "m505.fr"},
                            {"Les derniers articles - POPnews", "http://www.popnews.com/rss/backend_articles.php", "m506.fr"},
                            {"Musiques : lactu, les critiques et nos sélections dalbums, ainsi que des concert", "http://www.telerama.fr/rss/musique.xml", "m508.fr"},
                            {"News - Audiofanzine", "http://fr.audiofanzine.com/news/a.rss.xml", "m509.fr"},
                            {"Sourdoreille", "http://www.sourdoreille.net/feed/", "m510.fr"},
                            {"Télévision : les programmes TV et les émissions à revoir en replay, lactualité e", "http://www.telerama.fr/rss/television.xml", "m511.fr"},
                            {"ZikNation", "http://feeds.feedburner.com/soundnation", "m512.fr"},
                    },
                    {//n
                            {"Fil de presse - Le Devoir", "http://www.ledevoir.com/rss/ledevoir.xml", "n514.fr"},
                            {"GNT - actualités", "http://www.generation-nt.com/export/rss.xml", "n515.fr"},
                            {"Manchettes - Le Devoir", "http://www.ledevoir.com/rss/manchettes.xml", "n517.fr"},
                            {"Nouvelles de jeuxlibres.net", "http://jeuxlibres.net/rss/news", "n518.fr"},
                            {"Radio-Canada | Grands titres", "https://ici.radio-canada.ca/rss/4159", "n519.fr"},
                            {"Radio-Canada | Technologie", "https://ici.radio-canada.ca/rss/4169", "n520.fr"},
                            {"UsineNouvelle - Actualités A la une", "http://rss.usinenouvelle.com/a-la-une", "n521.fr"},
                    },
                    {//p
                            {"Acrimed | Action Critique Médias", "http://www.acrimed.org/spip.php?page=backend", "p522.fr"},
                            {"AgoraVox le média citoyen", "http://feeds.feedburner.com/agoravox/gEOF", "p523.fr"},
                            {"Basta !", "http://www.bastamag.net/spip.php?page=backend", "p524.fr"},
                            {"bruxelles.blogs.liberation.fr - Derniers articles", "http://bruxelles.blogs.liberation.fr/coulisses/atom.xml", "p525.fr"},
//                            {"Linvité de RTL", "http://podcast.rtl.fr/invitertl.xml", "p526.fr"},
                            {"Le Figaro - Politique", "http://www.lefigaro.fr/rss/figaro_politique.xml", "p527.fr"},
//                            {"Le Grand Jury", "http://podcast.rtl.fr/grandjury.xml", "p528.fr"},
                            {"Le Monde diplomatique", "http://www.monde-diplomatique.fr/recents.xml", "p529.fr"},
                            {"Les-Crises.fr", "http://feeds.feedburner.com/les-crises-fr", "p530.fr"},
                            {"Mediapart", "http://www.mediapart.fr/articles/feed", "p531.fr"},
                            {"Politique : Toute lactualité sur Le Monde.fr.", "http://www.lemonde.fr/rss/tag/politique.xml", "p532.fr"},
                            {"Reflets.info", "http://feeds.feedburner.com/refletsinfo", "p533.fr"},
                    },
                    {//s
                            {"Passeur de sciences", "http://passeurdesciences.blog.lemonde.fr/feed/", "s534.fr"},
                            {"Sciences : Toute lactualité sur Le Monde.fr.", "http://www.lemonde.fr/rss/tag/sciences.xml", "s535.fr"},
                            {"Sciences et Avenir en temps réel : accueil", "http://www.sciencesetavenir.fr/rss.xml", "s536.fr"},
                            {"Techno-Science.net", "http://www.techno-science.net/include/news.xml", "s537.fr"},
                    },
                    {//o
                            {"Basket USA", "http://www.basketusa.com/feed/", "o538.fr"},
                            {"Eurosport - Top des infos", "http://eurosport.fr/rss.xml", "o539.fr"},
                            {"Foot Mercato : Info Transferts Football - Actu Foot Transfert", "http://www.footmercato.net/spip.php?page=backend&id_rubrique=23", "o540.fr"},
                            {"LEquipe.fr Actu de tous les sports", "http://www.lequipe.fr/Xml/actu_rss.xml", "o541.fr"},
                            {"So Foot", "http://www.sofoot.com/sofoot.rss", "o542.fr"},
                            {"Sport24", "http://www.sport24.com/rssfeeds/sport24-accueil.xml", "o543.fr"},
                            {"Sport24 - Auto", "http://www.sport24.com/rssfeeds/sport24-formule1.xml", "o544.fr"},
                            {"Sport24 - Auto/Moto", "http://www.sport24.com/rssfeeds/sport24-moto.xml", "o545.fr"},
                            {"Sport24 - Cyclisme", "http://www.sport24.com/rssfeeds/sport24-cyclisme.xml", "o546.fr"},
                            {"France24 - Sport", "https://www.france24.com/en/sport/rss", "o547.fr"},
                    },
                    {//t
                            {"Flux toutes les actualités - 01net", "http://www.01net.com/rss/actus.xml", "t548.fr"},
                            {"FrAndroid", "http://feeds.feedburner.com/frandroid", "t549.fr"},
                            {"ITespresso.fr ", "http://www.itespresso.fr/feed", "t550.fr"},
                            {"Korben", "http://feeds.feedburner.com/KorbensBlog-UpgradeYourMind", "t551.fr"},
                            {"Le Monde.fr - Actualités et Infos en France et dans le monde", "https://www.lemonde.fr/rss/en_continu.xml", "t552.fr"},
                            {"Les Numériques", "http://www.lesnumeriques.com/rss.xml", "t553.fr"},
                            {"Next INpact – Actualités", "https://www.pcinpact.com/include/news.xml", "t554.fr"},
                            {"TechCrunch", "http://feeds.feedburner.com/francaistechcrunch", "t555.fr"},
                            {"Ubergizmo", "http://www.ubergizmo.com/fr/index.xml", "t556.fr"},
                    },
            },
            {//es
                    {//b
                            {"1000 Ideas de Negocios", "http://www.1000ideasdenegocios.com/feeds/posts/default", "b329.es"},
                            {"Con Tu Negocio", "http://www.contunegocio.es/feed/", "b330.es"},
                            {"El Blog Salmón", "http://www.elblogsalmon.com/index.xml", "b331.es"},
                            {"Emprendedores.News", "http://www.emprendedoresnews.com/feed", "b332.es"},
                            {"Emprenderalia", "http://feeds.feedburner.com/Emprenderalia", "b333.es"},
                            {"Emprendices", "http://negociosyemprendimiento.com/feed/", "b334.es"},
                            {"GurusBlog", "http://feeds.feedburner.com/gurusblog/ocIz", "b335.es"},
                            {"Loogic Startups", "http://feeds.feedburner.com/Loogiccom", "b336.es"},
                            {"MuyPymes", "http://www.muypymes.com/feed", "b337.es"},
                            {"Negocios y Emprendimiento", "http://www.negociosyemprendimiento.org/feeds/posts/default", "b338.es"},
                            {"Noticias de AméricaEconomía.com", "http://feeds.feedburner.com/america-economia", "b339.es"},
                            {"Pymes y Autonomos", "http://feeds.weblogssl.com/pymesyautonomos", "b340.es"},
                            {"Site", "http://www.emprendedores.es/rss/feed/site", "b341.es"},
                            {"Todostartups", "http://www.todostartups.com/feed", "b342.es"},
                    },
                    {//e
                            {"Asco de vida", "http://feeds2.feedburner.com/ascodevida", "e343.es"},
                            {"Chistes.com - El chiste del dia", "http://www.chistes.com/XML/ChisteDelDia.xml.asp", "e344.es"},
                            {"Cuanta razón", "http://feeds2.feedburner.com/cuantarazon", "e345.es"},
                            {"Cuánto Cabrón", "http://feeds2.feedburner.com/cuantocabron", "e346.es"},
                            {"El Chigüire Bipolar", "http://www.elchiguirebipolar.net/feed/", "e347.es"},
                            {"El Deforma", "http://eldeforma.com/feed/", "e348.es"},
                            {"Genial RSS", "http://genial.guru/rss/", "e349.es"},
                            {"LifeBoxset", "http://www.lifeboxset.com/feed/", "e350.es"},
                            {"Marcianos", "http://marcianos.com.mx/feed/", "e351.es"},
                            {"No tengo tele", "http://feeds2.feedburner.com/notengotele", "e352.es"},
                            {"Señorasque.com", "http://feeds.feedburner.com/SegnorasQue", "e353.es"},
                            {"Sopitas.com", "http://www.sopitas.com/site/feed/", "e354.es"},
                            {"Tenía que decirlo", "http://feeds2.feedburner.com/teniaquedecirlo", "e355.es"},
                            {"Todo Juegos", "http://feeds.feedburner.com/TodoJuegos", "e356.es"},
                            {"Visto en las Redes", "http://feeds2.feedburner.com/VistoEnFacebook", "e357.es"},
                            {"Webalia.com tu web de humor, ocio cine y música.", "http://webalia.com/rss.php", "e358.es"},
                    },
                    {//f
                            {"A TRENDY LIFE", "http://www.atrendylifestyle.com/feeds/posts/default", "f359.es"},
                            {"Collage Vintage", "http://feeds.feedburner.com/collagevintage/azcQ", "f360.es"},
                            {"Compradicción", "http://feeds.weblogssl.com/compradiccion", "f361.es"},
                            {"Devil wears Zara", "http://devilwearszara.vogue.es/feed/", "f362.es"},
                            {"Hola.com - diario de actualidad, moda y belleza", "http://www.hola.com/rss.xml", "f363.es"},
                            {"Hombres con Estilo", "http://www.tenerclase.com/feed", "f364.es"},
                            {"Modaellos.com", "http://modaellos.com/feed/", "f365.es"},
                            {"muymolon", "http://muymolon.com/feed/", "f366.es"},
                            {"My Daily Style", "http://stylelovely.com/mydailystyle/feed", "f367.es"},
                            {"Nosotras", "http://www.nosotras.com/rss.asp", "f368.es"},
                            {"Trendencias", "http://www.trendencias.com/atom.xml", "f369.es"},
                            {"Trendencias Belleza", "http://www.arrebatadora.com/index.xml", "f370.es"},
                            {"Trendencias Hombre", "http://www.mensencia.com/index.xml", "f371.es"},
                    },
                    {//l
                            {"ecointeligencia – cambia a un estilo de vida sostenible!", "http://www.ecointeligencia.com/feed/", "l372.es"},
//                            {"El Hedonista", "http://www.elhedonista.es/?feed=rss", "l373.es"},
//                            {"Esquire", "http://editorial.esmas.com/rss/esquire/", "l374.es"},
                            {"Estilo de vida Sano", "http://www.estilodevidasano.com/feed/", "l375.es"},
                            {"Estilo vida", "http://www.elpais.com/rss/feed.html?feedId=10", "l376.es"},
                            {"Homo Mínimus", "http://homominimus.com/feed/", "l377.es"},
                            {"No quiero otro pijama", "http://noquierootropijama.com/feed/", "l378.es"},
                            {"Revista Buena Vida", "http://ep01.epimg.net/rss/elpais/buenavida.xml", "l379.es"},
                            {"Robb Report España", "http://www.robbreport.es/feed/", "l380.es"},
                            {"Sibaritissimo", "http://feeds.feedburner.com/sibaritissimo", "l381.es"},
                            {"Trendencias Lifestyle", "http://www.trendenciaslifestyle.com/index.xml", "l382.es"},
                            {"ValeDeOro", "http://valedeoro.es/feed", "l383.es"},
                    },
                    {//m
                            {"Anecdotario del Rock", "http://anecdotariodelrock.blogspot.com/feeds/posts/default", "m384.es"},
                            {"Efe Eme", "http://www.efeeme.com/feed/", "m385.es"},
                            {"Flor de pasión", "http://www.rtve.es/api/programas/1980/audios.rss", "m386.es"},
                            {"Future Music – SONICplug | Tecnología musical y sonido", "http://feeds.feedburner.com/FutureMusic-ComputerMusic-Spain", "m387.es"},
                            {"Hipersónica - Medium", "http://www.hipersonica.com/feed/", "m388.es"},
                            {"Hispasonic", "http://feeds.feedburner.com/hispasonic", "m389.es"},
                            {"Indiespot", "http://feeds2.feedburner.com/Indiespot", "m390.es"},
                            {"jenesaispop.com", "http://jenesaispop.com/feed/", "m391.es"},
                            {"LifeBoxset", "http://www.lifeboxset.com/feed/", "m392.es"},
                            {"Manerasdevivir.com", "http://www.manerasdevivir.com/rss.php", "m393.es"},
                            {"Música", "http://www.20minutos.es/rss/musica/", "m394.es"},
                            {"Música en la mochila", "http://www.musicaenlamochila.net/?feed=rss2", "m395.es"},
                            {"Sopitas.com", "http://www.sopitas.com/site/feed/", "m396.es"},
                    },
                    {//n
                            {"20minutos.es", "http://www.20minutos.es/rss/", "n397.es"},
                            {"CNN", "http://cnnespanol.cnn.com/feed/", "n398.es"},
                            {"DW.de - Noticias", "http://partner.dw-world.de/syndication/feeds/RSS_sp_Feedly_News.10727-mrss.xml", "n399.es"},
                            {"eldiario.es - eldiario.es", "http://www.eldiario.es/rss/", "n400.es"},
                            {"España // elmundo", "http://rss.elmundo.es/rss/descarga.htm?data2=8", "n401.es"},
                            {"Menéame: publicadas", "http://www.meneame.net/rss2.php", "n402.es"},
                            {"Noticias destacadas de ElComercio.pe", "https://elcomercio.pe/arcio/rss/", "n403.es"},
                            {"Noticias – CINEMANÍA", "http://cinemania.es/noticias/feed/", "n404.es"},
                            {"Portada // elmundo", "http://rss.elmundo.es/rss/descarga.htm?data2=4", "n405.es"},
                            {"Portada de EL PAÍS", "http://www.elpais.com/rss/feed.html?feedId=1022", "n406.es"},
                            {"RT en Español", "http://actualidad.rt.com/feeds/all.rss", "n407.es"},
                            {"Sociedad - lanacion.com", "http://contenidos.lanacion.com.ar/herramientas/rss-origen=2", "n408.es"},
                            {"Última Hora", "http://www.abc.es/rss/feeds/abc_ultima.xml", "n409.es"},
                            {"Últimas noticias | EL PAÍS", "http://www.elpais.com/rss/feed.html?feedId=17046", "n410.es"},
                            {"TecnoMagazine.net | Noticias de Tecnología", "http://tecnomagazine.net/feed/", "n457.es"},
                    },
                    {//p
                            {"ATTAC España", "http://www.attac.es/feed/", "p411.es"},
                            {"Clarin.com - Política", "http://www.clarin.com/rss/politica/", "p412.es"},
                            {"eldiario.es - Escolar.net", "http://www.eldiario.es/rss/section/8001/", "p413.es"},
                            {"eldiario.es - Zona Crítica", "http://www.eldiario.es/zonacritica/feed/", "p414.es"},
                            {"Entradas – Artepolítica", "http://feeds.feedburner.com/artepolitica", "p415.es"},
                            {"Guerra Eterna", "http://www.guerraeterna.com/atom.xml", "p416.es"},
                            {"Hay Derecho", "http://hayderecho.com/feed/", "p417.es"},
                            {"lamarea.com", "http://www.lamarea.com/feed/", "p418.es"},
                            {"Malaprensa", "http://feeds.feedburner.com/Malaprensa", "p419.es"},
                            {"Política - lanacion.com", "http://contenidos.lanacion.com.ar/herramientas/rss/categoria_id=30", "p420.es"},
                            {"Portada de Política | EL PAÍS", "http://www.elpais.com/rss/rss_section.html?anchor=elppornac", "p421.es"},
                            {"Proceso", "http://feeds.feedburner.com/proceso", "p422.es"},
                    },
                    {//s
                            {"Ciencia de la NASA", "http://ciencia.nasa.gov/rss.xml", "s423.es"},
                            {"FayerWayer", "http://feeds.feedburner.com/FayerWayer", "s424.es"},
                            {"Gizmodo en Español", "http://es.gizmodo.com/rss", "s425.es"},
                            {"Historias de la Historia", "http://historiasdelahistoria.com/feed/", "s426.es"},
                            {"La Ciencia y sus Demonios", "http://lacienciaysusdemonios.com/feed/", "s427.es"},
//                            {"La pizarra de Yuri", "http://www.lapizarradeyuri.com/feed/", "s428.es"},
                            {"Materia", "http://feeds.feedburner.com/materia/noticias", "s429.es"},
                            {"Microsiervos", "http://www.microsiervos.com/index.xml", "s430.es"},
                            {"MuyInteresante.es", "http://feeds.feedburner.com/Muyinteresantees", "s431.es"},
                            {"Omicrono", "http://www.omicrono.com/feed/", "s432.es"},
                            {"SCIENTIA", "http://scientiablog.com/feed/", "s433.es"},
                            {"Tecnología Obsoleta", "http://www.alpoma.net/tecob/?feed=rss2", "s434.es"},
                            {"Tendencias 21", "http://www.tendencias21.net/xml/syndication.rss", "s435.es"},
                            {"Xataka Ciencia", "http://www.xatakaciencia.com/index.xml", "s436.es"},
                    },
                    {//o
                            {"Deportes", "http://www.20minutos.es/rss/deportes/", "o437.es"},
                            {"Deportes - Google News", "https://www.google.com/news?output=rss&topic=s&ned=es_mx&cf=all&num=20", "o438.es"},
                            {"Deportes // elmundo", "http://rss.elmundo.es/rss/descarga.htm?data2=14", "o439.es"},
                            {"El Informador :: Noticias de Jalisco, México, Deportes & Entretenimiento", "http://rss.informador.com.mx/informador-ultimas-noticias?format=xml", "o440.es"},
                            {"ESPN Deportes RSS", "http://espndeportes.espn.go.com/rss/news", "o441.es"},
                            {"F1 al día", "http://feeds.noxvo.com/f1aldia/", "o442.es"},
                            {"Motorpasion", "http://www.motorpasion.com/atom.xml", "o443.es"},
                            {"Portada // marca", "http://rss.marca.com/rss/descarga.htm?data2=425", "o444.es"},
                            {"Portada de Deportes | EL PAÍS", "http://www.elpais.com/rss/feed.html?feedId=1007", "o445.es"},
                            {"Sección Portada de Fútbol | Diario AS", "http://www.as.com/rss/feed.html?feedId=61", "o446.es"},
                            {"Transformer", "http://transformer.blogs.quo.es/feed/", "o447.es"},
                            {"Vitónica", "http://www.vitonica.com/index.xml", "o448.es"},
                            {"Últimas Noticias", "http://www.sport.es/es/rss/last_news/rss.xml", "o449.es"},
                            {"Últimas noticias | Diario AS", "http://www.as.com/rss.html", "o450.es"},
                    },
                    {//t
                            {"Applesfera", "http://feeds.weblogssl.com/applesfera", "t451.es"},
                            {"El Androide Libre", "http://www.elandroidelibre.com/feed/", "t452.es"},
                            {"FayerWayer", "http://feeds.feedburner.com/FayerWayer", "t453.es"},
                            {"Genbeta", "http://www.genbeta.com/index.xml", "t454.es"},
                            {"Microsiervos", "http://www.microsiervos.com/index.xml", "t455.es"},
                            {"MuyInteresante.es", "http://feeds.feedburner.com/Muyinteresantees", "t456.es"},
                            {"Vidaextra", "http://feeds.weblogssl.com/vidaextra", "t458.es"},
                            {"Wwwhats new?", "http://feeds2.feedburner.com/Wwwhatsnew", "t459.es"},
                            {"Xataka Android", "http://www.xatakandroid.com/index.xml", "t460.es"},
                            {"Xataka Ciencia", "http://www.xatakaciencia.com/index.xml", "t461.es"},
                            {"Xataka Móvil", "http://www.xatakamovil.com/atom.xml", "t462.es"},
                    },
            },
    };
    private final String[] languages = {"de", "ru", "pt", "en", "it", "fr", "es"};//important: same order as in nativeFeeds

    public int getLanguageIndex(String language) {
        for (int l = 0; l < languages.length; l++) {
            if (languages[l].equals(language))
                return l;
        }
        return 0;//default in case no match
    }

    public String getDefaultFeedId(String language) {
        int lang_idx = getLanguageIndex(language);
        return nativeFeeds[lang_idx][0][0][2];
    }

}
